#image: frekele/ant 
#stages:
 # - build
#variables:
 # ANT_HOME = " C:\apache-ant-1.9.15"
  #PATH = %ANT_HOME%\bin

#Installing Ant:
 # stage: initialising ANT
  #script:
   # - sudo apt-get install openjdk-8-jdk openjdk-8-doc openjdk-8-jre-lib
    #- java -version
    #- sudo apt update
    #- sudo apt install ant
    #- ant -version
#before_script:
  #- export ANT_HOME=C:\apache-ant-1.9.15\bin
 #  - yum install -y git
  # - git --version
#build: 
 # image: eneri/ant-ivy 
  #stage: build
  #script:
   #   - cd .. 
      #- git clone https://gitlab.com/madhu.g1171/ivy-config-anc.git
    #  - ls 
     # - cd ivy-config-anc
      #- pwd
      #- ls
  #CD to C:\apache-ant-1.7.0 to check 
      #- cd C:\apache-ant-1.7.0 
      #- ls 
      #setting ant home 
      #- echo "setting ANT HOME" 
      #- set ANT_HOME = "$ANT_HOME"          
      #- SET PATH = %ANT_HOME%\bin echo $env:PATH         * Doesnt work *
      #- Write-Host "Local Ant directory"                 * Doesnt work *
      #- Set-Location C:\apache-ant-1.7.0                * Doesnt work *
      #- $env:ANT_HOME="C:\apache-ant-1.7.0"               # works, dont add " /bin" 
      #- $env:PATH = $env:PATH + '%ANT_HOME%\bin'                         # adding a new path to path 

      # using export to assign ant home
      #- export ANT_HOME=C:\apache-ant-1.7.0
      #- echo $ANT_HOME
      
      #Adding new env variable from powershell
      #- Remove-Item -Path C:\GitLab-Runner\builds\zfLmpEsy\0\madhu.g1171\cps-amendandcancel-build.tmp\ANT_HOME              #Removing ENV Variable
      #- echo $ANT_HOME
      #- New-Item -Path Env:\ -Name ANT_HOME -Value 'C:\apache-ant-1.7.0'
      #- echo $ANT_HOME

      # to check all the path variable 
      #- $env:PATH -split ';'

      # checking ant version 
      #- ant -version

      # Ant build 
      #- ant​​​​​ ivy-publish
#################################################################################################################################
# Using linux machine + Docker 
#image: alpine
#stages:
 # - build

#before_script:
  #- apk add git
  # Returning ant_home
  #- export ANT_HOME=C:\apache-ant-1.9.15\bin
  #- echo $ANT_HOME
#  - apk add openssh-client
  #- eval $(ssh-agent -s)
  #- ssh-add <(echo "$SSH_PRIVATE_KEY" | base64 -d)
  #- mkdir -p ~/.ssh
  #- chmod 700 ~/.ssh
  #- cd ~/.ssh
  #- ls
  #- cat id_rsa.pub


#Cloning ivy-config:
#  stage: build 
#  script:
#    - ls
#    - pwd
#    - git clone https://gitlab.com/madhu.g1171/ivy-config-anc.git # "Doesnt work due to mysgit bug of gitlab https://github.com/msysgit/msysgit/issues/153"

    # using git clone with ssh
    #- git clone git@gitlab.com:madhu.g1171/ivy-config-anc.git
    # Cannot clone with ssh if you dont have SSH installed 
#    - ls 
#    - cd ivy-config-anc
#    - pwd
#    - ls
#########################################################################################################################
#image: ubuntu:latest
stages:
  #- docker
  - build

before_script:
  #- sudo useradd -p $(openssl passwd -1 123) madhu
  #- apt-get update && \ apt-get -y install sudo
  #- yum install git
  #- sudo apt update 
  #- sudo apt install git
  #- git --version
  #- ls 
  #- pwd
  #removing ANT_HOME
  - Remove-Item Env:\ANT_HOME
  #displaying all the environment variables in shell 
  - echo $env:ANT_HOME
  #- echo $env:PATH = $env:PATH + '%ANT_HOME%\bin'
  # Adding sample env variable
  - New-Item -Path env:\ANT_HOME -Value 'C:\apache-ant-1.7.0'
  - 'dir env:'
#building docker:
 # stage: docker
  #image: docker:dind
  #script:
   # - docker build .
cloning ivy config:
  stage: build
  script:
   - pwd   
   - git clone https://gitlab.com/madhu.g1171/ivy-config-anc.git
   - ls
   - echo $env:ANT_HOME
   - ant -version
   - ant 
###########################################################################################################################
#       Adding https://sodocumentation.net/ant/topic/7893/ant-tasks-for-git in build.xml
##########################################################################################################################3
#image: frekele/ant 
#stages:
 # - build

#build:
 # stage: build
  #script:
   # - ant ivy-publish
